/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 2019.02.14., 8:51:43
    Author     : Peta
*/

.part-osmap {
    position: relative;
    height: auto;
    margin: 50px 0;
}

.part-osmap a {
    color:rgba(20,160,210,1) !important;
}

.part-osmap .leaflet-container {
    height: 500px !important;
    display: block;
}

.part-osmap::before {
    content: "";
    position: absolute;
    top:-50px;
    left:0;
    width: 100%;
    height: 100px;
    background: transparent url('../gfx/v-bg-top.svg') no-repeat center bottom;
    background-size: 102%;
    z-index: 1500;
    pointer-events:none;
}

.part-osmap::after {
    content: "";
    position: absolute;
    z-index: 1500;
    bottom: -48px;
    left:0;
    width: 100%;
    height: 100px;
    background: transparent url('../gfx/v-bg-bottom.svg') no-repeat center top;
    background-size: 104%;
    pointer-events:none;
}

.part-osmap .leaflet-top,
.part-osmap .leaflet-bottom {
    bottom:56px !important;
}

.part-osmap .leaflet-top .leaflet-control {
        margin-top:30px;
    }


/*--- MEDIA QUERIES ---*/

@media only screen and (min-width: 640px) and (max-width: 993px) {
    .part-osmap .leaflet-container { height: 400px !important; }

    .part-osmap::after {
        content: "";
        position: absolute;
        bottom: -69px;
        left: 0;
        width: 100%;
        height: 100px;
        background: transparent url(../gfx/v-bg-bottom.svg) no-repeat center top;
        background-size: 104%;
    }

    .part-osmap .leaflet-top,
    .part-osmap .leaflet-bottom {
        bottom:36px !important;
    }
    
    .part-osmap .leaflet-top .leaflet-control {
        margin-top:45px;
    }
}

@media only screen and (min-width: 480px) and (max-width: 639px) {
    .part-osmap .leaflet-container { height: 300px !important; }

    .part-osmap::before {
        content: "";
        position: absolute;
        top: -70px;
        left: 0;
        width: 100%;
        height: 100px;
        background: transparent url(../gfx/v-bg-top.svg) no-repeat center bottom;
        background-size: 102%;
    }

    .part-osmap::after {
        content: "";
        position: absolute;
        bottom: -77px;
        left: 0;
        width: 100%;
        height: 100px;
        background: transparent url(../gfx/v-bg-bottom.svg) no-repeat center top;
        background-size: 104%;
    }
    
    .part-osmap .leaflet-top,
    .part-osmap .leaflet-bottom {
        bottom:24px !important;
    }
   
}

@media only screen and (min-width: 320px) and (max-width: 479px) {
    .part-osmap .leaflet-container { height: 250px !important; }

    .part-osmap::before {
        content: "";
        position: absolute;
        top: -80px;
        left: 0;
        width: 100%;
        height: 100px;
        background: transparent url(../gfx/v-bg-top.svg) no-repeat center bottom;
        background-size: 102%;
    }

    .part-osmap::after {
        content: "";
        position: absolute;
        bottom: -87px;
        left: 0;
        width: 100%;
        height: 100px;
        background: transparent url(../gfx/v-bg-bottom.svg) no-repeat center top;
        background-size: 104%;
    }
    
    .part-osmap .leaflet-top,
    .part-osmap .leaflet-bottom {
        bottom:16px !important;
    }
    
}